Subject: bug#44456: closed (Re: bug#44456: Windows10 doesn't allow either windows keys as hyper?)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 05 Nov 2020 17:49:02 +0000

Your bug report

#44456: Windows10 doesn't allow either windows keys as hyper?

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44456: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44456
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44456: Windows10 doesn't allow either windows keys as hyper?
From: Eli Zaretskii <[email-masked]>
To: Steve Greenburg <[email-masked]>
Cc: [email-masked]
Date: Thu, 05 Nov 2020 19:47:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Steve Greenburg <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Thu, 5 Nov 2020 17:05:10 +0000
> 
> The documentation for w32-register-hotkey says it is [h-] so I used
> that.

I fixed the documentation, thanks.

> Using [H-] does work as long as I
> change the variable before calling w32-register-hot-key like so:
> 
> (setq w32-lwindow-modifier 'hyper) 
> (w32-register-hot-key [H-])
> (setq w32-pass-lwindow-to-system nil)

That's okay, the manual and the doc string indeed say this should be
the order: first set w32-l/rwindow-modifier, then call
w32-register-hot-key.

With this, I'm closing the bug report.

Subject: Windows10 doesn't allow either windows keys as hyper?
From: Steve Greenburg <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 4 Nov 2020 21:44:37 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Apparently this is a known issue for a while. I'm on 27.1 right now on windows and the following code allows me to use the menu key as hyper:

(setq w32-pass-apps-to-system nil)
(setq w32-apps-modifier 'hyper)

However neither of the lwindows or rwindows versions work.

(setq w32-pass-rwindows-to-system nil)
(setq w32-rwindows-modifier 'hyper)

I'm not sure what key to use for Hyper in general. Ideally it would be something that wouldn't interfere too much with windows or ubuntu desktop shortcut keys, and unfortunately a lot of those use the Win/Super key. Caps_Lock for that would be nice. Is there a way around this problem?